input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(56);
        outline: none;
        color: $dark;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(15) rem(16);
        background: $light-gray;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid $light-gray;
        border-radius: 12px;
        @include placeholder(#83888F);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
            border-color: #e1e1e1;
       //     box-shadow: 0 0 0 size-rel(5px) rgba(92, 173, 255, 0.5);
        }


        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__view {
        top: 0;
        right: 0;
        margin: 0;
        padding: 0;
        z-index: 50;
        font-size: 0;
        line-height: 0;
        width: rem(56);
        height: 100%;
        border: none;
        outline: none;
        cursor: pointer;
        position: absolute;
        background: transparent;
        border-radius: 0 12px 12px 0;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $dark;

        i {
            height: rem(20);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__info {
        right: 0;
        top: rem(-32);
        font-size: 0;
        line-height: 0;
        height: rem(24);
        position: absolute;
        display: inline-block;
    }

    &--error {

        #{$input-selector} {
            border-color: $red !important;
        }
    }

    @include media-breakpoint-up(xxl) {

        #{$input-selector} {
            height: rem(64);
            padding: rem(18) rem(16);
            border-width: rem(2);
        }

    }
}
